
TYPO3.Neos - Task # 7353

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2010-04-19 Assigned To: Karsten Dambekalns
Updated: 2012-08-31 Due date:
Subject: Create base build scripts for the TYPO3 Phoenix distribution
Description

Create base build scripts for the TYPO3 Phoenix distribution (run tests, metrics etc.)

Related issues:
related to Base Distribution - Story # 7215: As Phoenix team member I want a ... Resolved 2010-04-11
blocks TYPO3.Neos - Task # 7355: Create script for publishing the API documen... Resolved 2010-04-26

Associated revisions
Revision 77cb96bc - 2010-05-03 13:09 - Karsten Dambekalns

[~TASK] TYPO3 Demo Distribution: copied over build system from Base distribution as starting point, relates to #7353.

Revision 14dc4abe - 2010-05-03 13:09 - Karsten Dambekalns

[~TASK] TYPO3 Demo Distribution: copied over build system from Base distribution as starting point, relates to #7353.

History
#1 - 2010-04-26 10:53 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Start date set to 2010-04-26

#2 - 2010-04-26 18:22 - Karsten Dambekalns

To use the build scripts you need Phing and a bunch of PEAR packages. The list (with install commands) is at the start of the build.xml in the top level
directory.

Once you have that, you can call various commands to do funky stuff:
phing render-docs render the HTML variants of API documentation and DocBook manuals of all packages
phing doc-clean-all removes the rendered stuff again

phing metrics runs PHP Mess Detector and PHP Copy-n-Paste Detector on the PHP files
phing lint runs a lint on all PHP files
phing test runs the unit tests on all PHP files

phing createarchives builds archives of the current working copy

That last one requires input in form of two environment variables, BUILD_NUMBER and RELEASE_VERSION. For testing purposes use whatever you
like :)

There are more tasks for SVN tagging and documentation publishing, but those make only sense if you have access to the configured servers and so
forth.
#3 - 2010-04-26 19:04 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r913.

#4 - 2010-04-29 21:16 - Daniel Poetzinger

What is with the build file for Hudson?
Where is that located?

Proposal:

new folder "ci" or "hudson" that has this scripts for all defined builds (commit, full, selenium) from that build the related targets in the build folder can be
addressed.

#5 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)

#6 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
